<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 钱包提现记录
 */
class WalletWithdrawRecord extends Model
{
	use SoftDeletes;

	protected $table = 'wallet_withdraw_records';

	protected $guarded = [];

    /**
     * @Author FelixYin
     * @description 提现记录所属交易
     */
    public function trans()
    {
        return $this->belongsTo('App\Models\WalletTransRecord', 'trans_record_id');
    }

    /**
     * @Author FelixYin
     * @description 提现记录所属钱包
     */
    public function wallet()
    {
        return $this->belongsTo('App\Models\Wallet', 'wallet_id');
    }
}
